#include<bits/stdc++.h>
using namespace std;
int main()
{
    int a[26]={0}, b[26]={0};
    int rez=1000,x=-1,p,k,brojac=0;
    string s,t;
    cin>>t;
    cin>>s;
    p=t.find_first_of(s[0]);
    k=t.find_last_of(s[s.size()-1]);
    for(int i=0; i<s.size();i++)
    {
        a[s[i]-'a']++;
    }
    for(int i=p;i<=k;i++)
    {
        b[t[i]-'a']++;
    }
    for(int i=0;i<26;i++)
    {
        if(a[i]==1 && rez>b[i] && b[i]>=a[i])
        {
            rez=b[i];
            x=i;
        }
        else if(a[i]>1 && rez>b[i]-(a[i]-1) && b[i]>=a[i])
        {
            rez=b[i]-(a[i]-1);
            x=i;
        }
    }
    for(int i=p; i<=k;i++)
    {
        if(t[i] == 'a'+x && rez>brojac)
        {
            t[i]='*';
            brojac++;
        }
    }
    if(x == -1)
    {
        rez=0;
    }
    cout<<rez<<endl;
    cout<<t<<endl;
    return 0;
}